For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList chargers
        • POSTCreate charger (durable)
        • GETGet charger provisioning status
        • GETGet charger
        • PUTUpdate charger
        • DELDelete charger
        • POSTStart charger runtime
        • POSTStop charger runtime
        • POSTRestart charger runtime
        • GETList charger logs
OCPPLAB Gateway APICore ResourcesChargers

Stop charger runtime

||View as Markdown|
POST
https://host.com/ocpp/chargers/:charger_id/stop-charger
POST
/ocpp/chargers/:charger_id/stop-charger
1import requests
2
3url = "https://host.com/ocpp/chargers/dep-123/stop-charger"
4
5headers = {
6 "Authorization": "Bearer <token>",
7 "Content-Type": "application/json"
8}
9
10response = requests.post(url, headers=headers)
11
12print(response.json())
1{
2 "id": "dep-123",
3 "event_type": "stop_charger",
4 "ocpp_version": "OCPP1.6",
5 "payload": {
6 "provider": "aws",
7 "runtime_kind": "ecs_service",
8 "service_name": "dep-123",
9 "desired_count": 0,
10 "status": "ACTIVE"
11 }
12}
Request the runtime infrastructure provider to stop the selected charger deployment.
Was this page helpful?
Previous

Start charger runtime

Next

Restart charger runtime

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

charger_idstringRequired
Internal charger deployment identifier returned by charger CRUD endpoints. Use charger identity for simulator and control endpoints.

Request

This endpoint expects an object.

Response

Stop charger runtime request accepted for processing
idstring
event_typestring
ocpp_versionstring
payloadmap from strings to any
Command payload sent to the simulator queue.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error